//importing the nervous system library for obj export, and peasycam for 3d viewing
import peasy.*;
import nervoussystem.obj.*;


PeasyCam cam;
boolean record;
int level;

ArrayList<Box> sponge;
int countS, countE;

void setup()
{
  cam = new PeasyCam(this,100);
  size(800,800,P3D);
  background(0);
  
  sponge = new ArrayList<Box>();
  translate(width/2,height/2);
  Box b0 = new Box(0,0,0,500);
  sponge.add(b0);
  countS = 0;
  countE = sponge.size();
  //b0.disp();
  //for(Box b : sponge) {b.disp();}
    record = false;
level = 0;
}

void draw()
{
  background(0);
  //stroke(255);
  fill(255);
  lights();
  translate(width/2,height/2);
 if (record)
  {
    beginRecord("nervoussystem.obj.OBJExport", "Menger "+level+ " "+ timeStamp()+ ".obj");
  }
    for(int i = countS;i<countE;i++)
    {
      sponge.get(i).disp();
    }
  if (record) {
    endRecord();
    record = false;
  }
}

void mouseClicked()
{
  for(int i = countS;i<countE;i++)
    {
      sponge.get(i).boxDiv();
    }
    countS = countE;
    countE = sponge.size();
    level++;
      record = true;

}
